//
//  NSFileManager+Cache.m
//  iOS Hotspot Cracker
//
//  Copyright (c) 2013, Andreas Kurtz & Markus Trossbach, Friedrich-Alexander-University, Erlangen, Germany.
//  All rights reserved.
//

#import "NSFileManager+Cache.h"

@implementation NSFileManager (Cache)

- (NSString *)cacheDataPath
{
    //get the cache folder path
	NSString *folder = [NSSearchPathForDirectoriesInDomains(NSCachesDirectory, NSUserDomainMask, YES) lastObject];
    
#ifndef __IPHONE_OS_VERSION_MAX_ALLOWED
    
    //append application bundle ID on Mac OS
    NSString *identifier = [[NSBundle mainBundle] objectForInfoDictionaryKey:(NSString *)kCFBundleIdentifierKey];
    folder = [folder stringByAppendingPathComponent:identifier];
    
#endif

    //create the folder if it doesn't exist
	if (![self fileExistsAtPath:folder])
    {
		[self createDirectoryAtPath:folder withIntermediateDirectories:YES attributes:nil error:NULL];
	}
	
	return folder;
}

@end
