//
//  PasswordViewController.m
//  iOS Hotspot Cracker
//
//  Copyright (c) 2013, Andreas Kurtz & Markus Trossbach, Friedrich-Alexander-University, Erlangen, Germany.
//  All rights reserved.
//

#import "PasswordViewController.h"

#define ARROW_MIN -106.0*(M_PI/180.0)
#define ARROW_MAX 107.0*(M_PI/180.0)
#define ARROW_MAX_VALUE 50.0

@interface PasswordViewController ()

@end

@implementation PasswordViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];

	// Do any additional setup after loading the view.
}

- (void)viewWillAppear:(BOOL)animated {
    [super viewWillAppear:animated];
    self.title = self.password;
    CGFloat timeToCrack = [self timeToCrack];
    self.infoText.text = [NSString stringWithFormat:@"Your password was found at position %u in the wordlist. Using a common GPU cluster, it will take approximately %.2f seconds to crack it.", self.passwordPosition+1, timeToCrack];
}

- (void)viewDidAppear:(BOOL)animated {
    [super viewDidAppear:animated];
    CGFloat timeToCrack = [self timeToCrack];
    
    CGFloat distance = fabs(ARROW_MAX - ARROW_MIN);
    CGFloat distancePerUnit = distance / ARROW_MAX_VALUE;
    
    CGFloat actualRotation = ARROW_MIN + (distancePerUnit * timeToCrack);
    
    [UIView animateWithDuration:0.75 delay:0.1 options:UIViewAnimationOptionCurveEaseInOut animations:^{
        self.arrowImage.transform = CGAffineTransformMakeRotation(actualRotation);
        
    } completion:^(BOOL finished) {
        
    }];
}

- (CGFloat)timeToCrack {

    CGFloat p = self.passwordPosition;
    CGFloat n = 10000.0;
    if(self.passwordNumbersEntered) {
        n = self.passwordNumbers;
    }
    return (p * 10000.0 + n) / 379900.0;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
